import { OnInit } from "@angular/core";
import { ActivatedRoute, Router } from "@angular/router";
import { EnvironmentService, ErrorMessageHandler } from "@smallstack/common-components";
import { SchemaFormSchema } from "@smallstack/form-shared";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class DoubleOptConfirmationWidgetComponent extends BaseWidgetComponent implements OnInit {
    private activatedRoute;
    private router;
    private errorMessageHandler;
    private environmentService;
    isLoading: boolean;
    message: string;
    successful: boolean;
    static getConfiguration(): SchemaFormSchema;
    constructor(activatedRoute: ActivatedRoute, router: Router, errorMessageHandler: ErrorMessageHandler, environmentService: EnvironmentService);
    ngOnInit(): void;
    acknowledge(): Promise<void>;
    private handleToken;
    static ɵfac: i0.ɵɵFactoryDeclaration<DoubleOptConfirmationWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DoubleOptConfirmationWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
