import { ActivatedRoute, Router } from "@angular/router";
import { AxiosApiClient } from "@smallstack/axios-api-client";
import { NotificationService } from "@smallstack/i18n-components";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class StartWorkflowButtonWidgetComponent extends BaseWidgetComponent {
    private apiClient;
    private notificationService;
    private router;
    private activatedRoute;
    constructor(apiClient: AxiosApiClient, notificationService: NotificationService, router: Router, activatedRoute: ActivatedRoute);
    startWorkflow(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StartWorkflowButtonWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StartWorkflowButtonWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
